import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type BurnTokenParams = {
    accounts: {
        authority: PublicKey;
        platformState: PublicKey;
        burnRoleState: PublicKey;
        burnState: PublicKey;
        mint: PublicKey;
        burnVault: PublicKey;
    };
    inputs: {};
};
export declare function burnToken(program: Program<PropeasyProgram>, params: BurnTokenParams): Promise<Instruction>;
