import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type ChangeMintTokenPlatformParams = {
    accounts: {
        admin: PublicKey;
        platformState: PublicKey;
        purchaseMintAccount: PublicKey;
        platformMintAccount: PublicKey;
    };
    inputs: {};
};
export declare function changeMintTokenPlatform(program: Program<PropeasyProgram>, params: ChangeMintTokenPlatformParams): Promise<Instruction>;
