import * as anchor from "@project-serum/anchor";
export declare const PLATFORM_STATE_SEED = "propeasy";
export declare const PROPERTY_STATE_SEED = "property";
export declare const LOCKER_SEED = "locker";
export declare const VESTING_SEED = "vesting";
export declare const BURN_ROLE_SEED = "burn_role";
export declare const BURN_SEED = "burn";
export interface PDAInfo {
    key: anchor.web3.PublicKey;
    bump: number;
}
export declare class PDA {
    readonly programId: anchor.web3.PublicKey;
    constructor(programId: anchor.web3.PublicKey);
    platform: () => PDAInfo;
    property: (propertyMintAccount: anchor.web3.PublicKey) => PDAInfo;
    locker: (user: anchor.web3.PublicKey, propertyState: anchor.web3.PublicKey) => PDAInfo;
    vesting: (user: anchor.web3.PublicKey, propertyState: anchor.web3.PublicKey) => PDAInfo;
    burnRole: (user: anchor.web3.PublicKey) => PDAInfo;
    burn: (token: anchor.web3.PublicKey) => PDAInfo;
}
