/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type InitializeBurnParams = {
    accounts: {
        platformState: PublicKey;
        burnState: PublicKey;
        admin: PublicKey;
        mintAccount: PublicKey;
    };
    inputs: {
        bump: number;
        amountPerPeriod: BN;
        period: BN;
    };
};
export declare function initializeBurn(program: Program<PropeasyProgram>, params: InitializeBurnParams): Promise<Instruction>;
