/// <reference types="bn.js" />
import { Instruction } from "@orca-so/common-sdk";
import { PublicKey } from "@solana/web3.js";
import { Program, BN } from "@project-serum/anchor";
import { PropeasyProgram } from "../artifacts/propeasy_program";
export type UpdateVestingParams = {
    accounts: {
        admin: PublicKey;
        platformState: PublicKey;
        propertyState: PublicKey;
        propertyMintAccount: PublicKey;
        user: PublicKey;
        vestingAccount: PublicKey;
    };
    inputs: {
        cliffDuration: BN;
    };
};
export declare function updateVesting(program: Program<PropeasyProgram>, params: UpdateVestingParams): Promise<Instruction>;
